<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="core-service.management.management-interface.http-interface.http-upgrade">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="enabled,sasl-authentication-factory"/>
        <elem name="complex-attribute" value="http-upgrade"/>
        <elem name="addr-params" value="core-service,management-interface"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="core-service.management"/>
    </annotation>
    <requires>
        <capability name="org.wildfly.security.sasl-authentication-factory.$sasl-authentication-factory" optional="true"/>
    </requires>
    <refs>
        <ref feature="core-service.management.management-interface.http-interface"/>
    </refs>
    <params>
        <param name="sasl-authentication-factory" nillable="true"/>
        <param name="core-service" feature-id="true" default="management"/>
        <param name="management-interface" feature-id="true" default="http-interface"/>
        <param name="enabled" nillable="true"/>
    </params>
</feature-spec>